Package com.orchestranetworks.service

# Enum Class ValidationSpec.RefreshPolicy

java.lang.Object
java.lang.Enum<ValidationSpec.RefreshPolicy>
com.orchestranetworks.service.ValidationSpec.RefreshPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<ValidationSpec.RefreshPolicy>`, `Constable`

Enclosing class:
  ValidationSpec

public static enum ValidationSpec.RefreshPolicy extends Enum<ValidationSpec.RefreshPolicy>
Defines the refresh policy for validating a dataset, a table or a record.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AS_IS`
  Specifies that the validation report of the dataset, table or record to validate will only contain validation messages that have been persisted in the database.
  `NO_WAIT`
  Specifies that the validation of the dataset, table or record must not wait for the end of a concurrent validation.
  `UP_TO_DATE`
  Specifies that the validation report of the dataset, table or record to validate must be updated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ValidationSpec.RefreshPolicy`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ValidationSpec.RefreshPolicy[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UP_TO_DATE

    public static final ValidationSpec.RefreshPolicy UP_TO_DATE
    Specifies that the validation report of the dataset, table or record to validate must be updated.

  - ### AS_IS

    public static final ValidationSpec.RefreshPolicy AS_IS
    Specifies that the validation report of the dataset, table or record to validate will only contain validation messages that have been persisted in the database. That means, the validation report will be empty if the dataset, table or record has not yet been validated.

  - ### NO_WAIT

    public static final ValidationSpec.RefreshPolicy NO_WAIT
    Specifies that the validation of the dataset, table or record must not wait for the end of a concurrent validation. That is, an empty validation report will be returned when validating a dataset, table or record if a validation is being performed by a concurrent process.
    See Also:
      - `ValidationReport.hasSkippedValidation()`

- ## Method Details

  - ### values

    public static ValidationSpec.RefreshPolicy[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ValidationSpec.RefreshPolicy valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null